## s6-networking 2.7.1.0

=== debian/changelog ===
s6-networking (2.7.1.0-0experimental1.0antix1) unstable; urgency=medium

  * antiX build - thanks to ProwlerGR

 -- anticapitalista <antix@operamail.com>  Sun, 24 Aug 2025 15:16:27 +0300
