=== debian/control ===
Source: s6-networking
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 skalibs-dev (>= 2.14.0.0),
 execline (>= 2.9.4.0),
 libexecline-dev (>= 2.9.4.0),
 s6 (>= 2.12.0.0),
 libs6-dev (>= 2.12.0.0),
 s6-dns (>= 2.4.1.0),
 openssl,
Standards-Version: 4.6.2
Homepage: https://skarnet.org/software/s6-networking
Vcs-Browser: https://salsa.debian.org/init-diversity-team/s6-rc/s6-networking
Vcs-Git: https://salsa.debian.org/init-diversity-team/s6-rc/s6-networking.git

Package: s6-networking
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6-dns (>= 2.4.1.0),
 openssl,
Description: small network and client-server tools. 
 s6-networking is a suite of small networking tools for
 Unix systems, including command-line client and server
 management, TCP access control, privilege escalation
 across UNIX domain sockets, IDENT protocol management,
 clock synchronization, and secure connections using the
 TLS protocol.
