=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


# Installation directories
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=\$${prefix}

# Fine tuning of the installation directories
CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --bindir=\$${prefix}/bin
CONFIG_OPT += --libexecdir=\$${prefix}/libexec
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include
#CONFIG_OPT += --skeldir=/etc/s6-linux-init/skel
CONFIG_OPT += --tmpfsdir=/run
#CONFIG_OPT += --scandir=\$${tmpfsdir}/s6-scandir

# Dependencies
CONFIG_OPT += --with-sysdeps=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
#CONFIG_OPT += --with-include=\$${prefix}/include
CONFIG_OPT += --with-lib=\$${prefix}/lib/skalibs
CONFIG_OPT += --with-lib=\$${prefix}/lib/execline
CONFIG_OPT += --with-lib=\$${prefix}/lib/s6
#CONFIG_OPT += --with-dynlib=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# Optional features
CONFIG_OPT += --enable-shared
#CONFIG_OPT += --disable-static
#CONFIG_OPT += --disable-allstatic
#CONFIG_OPT += --enable-static-libc
#CONFIG_OPT += --disable-all-pic
#CONFIG_OPT += --enable-slashpackage[=ROOT]
CONFIG_OPT += --enable-absolute-paths       
#CONFIG_OPT += --enable-nsss
#CONFIG_OPT += --enable-s6-networking




# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm README.md; fi;
	if test -e config.mak; then rm config.mak; fi;
	if test -e package/deps.mak; then rm package/deps.mak; fi;
	dh_clean

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6-networking
	cp -aT doc debian/tmp/usr/share/doc/s6-networking
